Bug 889302 - d-feet chokes on apper's org.freedesktop.PackageKit interface
d-feet chokes on apper's org.freedesktop.PackageKit interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: d-feet (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 13:08 EST by Cole Robinson
Modified: 2014-02-05 09:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:04:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2012-12-20 13:08:50 EST
d-feet is a graphical tool for viewing dbus interfaces. Trying to view the org.freedesktop.PackageKit interface provided by apper causes d-feet to choke. gnome-packagekit provided interface works fine.

Reproducer:

- Run /usr/libexec/kde4/apper-sentinel
- Run d-feet, connect to session bus
- Select org.freedesktop.PackageKit
- See following errors on d-feet terminal:

ERROR: Some clever service is trying to be cute and has the same method name in the same interface
ERROR: Some clever service is trying to be cute and has the same method name in the same interface
ERROR: Some clever service is trying to be cute and has the same method name in the same interface
ERROR:dbus.proxies:Introspect error on org.freedesktop.PackageKit:/org/freedesktop/PackageKit: dbus.exceptions.IntrospectionParserException: Error parsing introspect data: <class 'xml.parsers.expat.ExpatError'>: unbound prefix: line 5, column 4
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 604, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.7/site-packages/dfeet/dbus_introspector.py", line 60, in <lambda>
    reply_handler=lambda xml: self._query_introspect_data_cb(name, node, xml),
  File "/usr/lib/python2.7/site-packages/dfeet/dbus_introspector.py", line 70, in _query_introspect_data_cb
    data = _introspect_parser.process_introspection_data(xml)
  File "/usr/lib/python2.7/site-packages/dfeet/_introspect_parser.py", line 150, in process_introspection_data
    raise IntrospectionParserException('%s: %s' % (e.__class__, e))
dbus.exceptions.IntrospectionParserException: Error parsing introspect data: <class 'xml.parsers.expat.ExpatError'>: unbound prefix: line 5, column 4
^CTraceback (most recent call last):
  File "/usr/bin/d-feet", line 59, in <module>
    DFeetApp.gtk.main()
Comment 1 Daniel Nicoletti 2012-12-20 13:50:11 EST
Again Apper has the same DBus interface of Gnome-packagekit,
if d-feet is crashing then it's a d-feet bug, qdbusviewer works
just fine.
Comment 2 Rex Dieter 2012-12-20 14:28:00 EST
We'd need more detail about what those errors from d-feet mean exaxctly, at least...
Comment 3 Fedora End Of Life 2013-12-21 05:00:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 09:04:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.